// Model: user.service.ts

export interface User {
    name: string;
    age: number;
}

import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';

@Injectable({
    providedIn: 'root',
})
export class UserService {
    constructor() { }

    getUser(): Observable<User> {
        const user: User = { name: 'John Doe', age: 35, ageColor: '#00FF00' };
        return of(user);
    }

    createUser(user: User): User {
        return user;
    }

    getColorByAge(age: number): string {
        if (age >= 65) {
            return "#FF0000";
        } else {
            return "#00FF00";
        }
    }
}